#include<iostream>
using namespace std;
int main()
{
    int n,x,rez;
    cin>>n>>x;
    int a[n],najv=x,najm=x;
    for(int i=0;i<n;i++)
    {
        cin>>a[i];
        if(a[i]>najv)
            najv=a[i];
        if(a[i]<najm)
            najm=a[i];
    }
    if((x-najm)<(najv-x))
        rez=x-najm+najv-najm;
    else
        rez=najv-x+najv-najm;
    cout<<rez<<endl;
}